<?php

define('PAGES', [
	'index' => [
		'title' => '<span aria-hidden="true">🪐 </span>Niver',
	],
	'auth' => [
		'index' => [
			'title' => '<span aria-hidden="true">🔐 </span>Authentification',
			'description' => 'Gérer son compte',
		],
		'login' => [
			'title' => 'Se connecter',
			'description' => 'Démarrer une nouvelle session avec un compte existant',
			'require-login' => false,
		],
		'register' => [
			'title' => 'Créer un compte',
			'description' => 'Créer un nouveau compte Niver',
			'require-login' => false,
			'tokens_instance_cost' => 7200,
		],
		'unregister' => [
			'title' => 'Supprimer son compte',
			'description' => 'Effacer toutes les données de son compte',
		],
		'approval' => [
			'title' => 'Approuver son compte',
			'description' => 'Utiliser une clé d\'approbation pour passer à un compte approuvé.',
		],
		'password' => [
			'title' => 'Changer la clé de passe',
			'description' => 'Changer la chaîne de caractères permettant de vous authentifier.',
		],
		'username' => [
			'title' => 'Changer l\'identifiant',
			'description' => 'Changer la chaîne de caractères permettant d\'identifier votre compte.',
		],
		'logout' => [
			'title' => 'Déconnexion',
			'description' => 'Terminer la session et effacer ses cookies',
		],
	],
	'reg' => [
		'index' => [
			'title' => '<span aria-hidden="true">🏷️ </span>Registre <code>' . CONF['reg']['registry'] . '</code>',
			'description' => 'Obtenir et gérer la délégation d\'un sous-domaine de <code>' . CONF['reg']['registry'] . '</code>',
		],
		'register' => [
			'title' => 'Enregistrer un nouveau domaine',
			'description' => 'Prendre possession d\'un sous-domaine de <code>' . CONF['reg']['registry'] . '</code>',
			'tokens_account_cost' => 3600,
		],
		'unregister' => [
			'title' => 'Effacer un domaine',
			'description' => 'Effacer toutes les données d\'un domaine',
		],
		'print' => [
			'title' => 'Afficher les données',
			'description' => 'Afficher les enregistrements relatifs à un domaine',
		],
		'ns' => [
			'title' => 'Enregistrements <abbr title="Name Server">NS</abbr>',
			'description' => 'Indiquer les serveurs de noms de son sous-domaine de <code>' . CONF['reg']['registry'] . '</code>',
		],
		'ds' => [
			'title' => 'Enregistrements <abbr title="Delegation Signer">DS</abbr>',
			'description' => 'Déléguer la confiance <abbr title="Domain Name System Security Extensions">DNSSEC</abbr>',
		],
		'transfer' => [
			'title' => 'Recevoir un transfert de domaine',
			'description' => 'Transférer un domaine vers ce compte',
		],
		'glue' => [
			'title' => 'Glue Records',
			'description' => 'Avancé : Indiquer l\'IP d\'un serveur de noms dont l\'adresse dépend de la zone qu\'il sert',
		],
	],
	'ns' => [
		'index' => [
			'title' => '<span aria-hidden="true">📖 </span>Serveurs de noms',
			'description' => 'Héberger et gérer les données liées à un domaine',
		],
		'zone-add' => [
			'title' => 'Ajouter une zone',
			'description' => 'Pour qu\'elle soit gérée par le serveur de noms de Niver',
			'tokens_account_cost' => 1800,
		],
		'zone-del' => [
			'title' => 'Effacer une zone',
			'description' => 'Effacer toutes les données d\'une zone',
		],
		'print' => [
			'title' => 'Afficher les données',
			'description' => 'Afficher le contenu de la zone',
		],
		'edit' => [
			'title' => 'Modifier une zone',
			'description' => 'Éditer un fichier de zone',
			'tokens_account_cost' => 300,
		],
		'ip' => [
			'title' => 'Enregistrements A et AAAA',
			'description' => 'Indiquer l\'adresse IP d\'un domaine',
		],
		'ns' => [
			'title' => 'Enregistrement <abbr title="Name Server">NS</abbr>',
			'description' => 'Indiquer le serveur de noms d\'une zone',
		],
		'txt' => [
			'title' => 'Enregistrement <abbr title="TeXT">TXT</abbr>',
			'description' => 'Associer du texte à un domaine',
		],
		'caa' => [
			'title' => 'Enregistrement <abbr title="Certification Authority Authorization">CAA</abbr>',
			'description' => 'Limiter les autorités de certification autorisées à émettre des certificats',
		],
		'srv' => [
			'title' => 'Enregistrement <abbr title="SeRVice">SRV</abbr>',
			'description' => 'Indiquer l\'adresse d\'un service spécifique',
		],
		'mx' => [
			'title' => 'Enregistrement <abbr title="Mail eXchanger">MX</abbr>',
			'description' => 'Indiquer l\'adresse du serveur recevant les courriels',
		],
		'sshfp' => [
			'title' => 'Enregistrement <abbr title="Secure SHell FingerPrint">SSHFP</abbr>',
			'description' => 'Indiquer les empreintes des clés <abbr title="Secure SHell">SSH</abbr>',
		],
		'tlsa' => [
			'title' => 'Enregistrement <abbr title="Transport Layer Security Association">TLSA</abbr>',
			'description' => 'Mettre en place <abbr title="DNS-based Authentication of Named Entities">DANE</abbr> en indiquant l\'empreinte d\'un certificat <abbr title="Transport Layer Security">TLS</abbr>',
		],
		'cname' => [
			'title' => 'Enregistrement <abbr title="Canonical NAME">CNAME</abbr>',
			'description' => 'Définir un domaine comme étant l\'alias d\'un autre',
		],
		'dname' => [
			'title' => 'Enregistrement <abbr title="Delegation NAME">DNAME</abbr>',
			'description' => 'Définir les sous-domaines d\'un domaine comme étant les alias des sous-domaines d\'un autre domaine',
		],
		'loc' => [
			'title' => 'Enregistrement <abbr title="LOCation">LOC</abbr>',
			'description' => 'Indiquer des coordonnées géographiques',
		],
	],
	'ht' => [
		'index' => [
			'title' => '<span aria-hidden="true">🕸️ </span>Hypertexte',
			'description' => 'Mettre en ligne son site statique sur un espace <abbr title="SSH File Transfert Protocol">SFTP</abbr>, et le faire répondre en <abbr title="HyperText Transfert Protocol">HTTP</abbr> par DNS ou Tor',
		],
		'add-subpath' => [
			'title' => 'Accès par sous-chemin <code>' . CONF['ht']['subpath_domain'] . '/</code>',
			'description' => 'Son URL ressemblera à <code>https://' . CONF['ht']['subpath_domain'] . '/monsite/</code>',
			'tokens_account_cost' => 900,
		],
		'add-subdomain' => [
			'title' => 'Accès par sous-domaine de <code>.' . CONF['ht']['subdomain_domain'] . '</code>',
			'description' => 'Son URL ressemblera à <code>https://monsite.' . CONF['ht']['subpath_domain'] . '/</code>',
			'tokens_account_cost' => 1800,
		],
		'add-dns' => [
			'title' => 'Accès par domaine dédié et certificat Let\'s Encrypt',
			'description' => 'Son URL ressemblera à <code>https://monsite.example/</code>',
			'tokens_account_cost' => 3600,
		],
		'add-onion' => [
			'title' => 'Accès par service Onion',
			'description' => 'Son URL ressemblera à <code>http://nrdselxjgryq5fwek2xh3pxg4b26z26eyzlbs4y5lownk465jhaamayd.onion/</code>, qui ne fonctionnera que par le réseau Tor',
			'tokens_account_cost' => 1800,
		],
	    'del' => [
			'title' => 'Retirer un accès',
			'description' => 'Retirer un accès HTTP déjà existant d\'un sous-dossier de l\'espace SFTP',
		],
	],
]);
